6.0.0-git
2021-01-18

[#7824] Nokia E70 sends X-<category>
Summary Nokia E70 sends X-<category>
Queue Synchronization
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester sberthelot (at) emisfr (dot) com
Created 2009-01-05 (4396 days ago)
Due
Updated 2009-08-18 (4171 days ago)
Assigned 2009-01-05 (4396 days ago)
Resolved 2009-08-18 (4171 days ago)
Milestone
Patch Yes

History
2009-08-18 17:19:40 Jan Schneider Comment #5
State ⇒ Resolved
Reply to this comment
I applied that rule to all Nokia E phones.
2009-07-27 14:04:11 henrik-horde (at) prak (dot) org Comment #4 Reply to this comment
We should probably assume that all "E" phones do that.
I can verify that this (usually) happens on an E-71.

Some categories, instead of having X- are synced as all caps.
Could you specify which categories are changed to all caps?



I'd suspect that this is the case for categories that the Nokia

software sees as "native" categories in contrast to "user-defined" ones.



Prefixing user-defined categories to avoid name space conflicts is not 
very smart

but quite common. Like in the mime type definitions where non-standard 
mime types

are required to prefix the subtype with "x-". (E.g. application/zip 
vs. application/x-tar )




2009-05-07 23:44:50 public (at) kosta (dot) tk Comment #3 Reply to this comment
We should probably assume that all "E" phones do that.
I can verify that this (usually) happens on an E-71.



Some categories, instead of having X- are synced as all caps.


2009-01-05 16:00:11 Jan Schneider Comment #2
Assigned to Jan Schneider
State ⇒ Assigned
Reply to this comment
We should probably assume that all "E" phones do that.
2009-01-05 10:41:45 sberthelot (at) emisfr (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Nokia E70 sends X-<category>
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ Yes
New Attachment: a.patch Download
Reply to this comment
Like the bug #6849 my Nokia E70 sends categories with X-<category>

I don't know which models do that exactly but I'm pretty sure the E65 
does it also.



Before seing the patch in #6849 I usually manually applied the same 
convertClient2Server function that the P800.php inconditionnally. It 
didn't break the behavior for my E70 and I don't think it would do for 
other Nokia devices until someone names all its categories with a 
X-<something> ...

Saved Queries